#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kpackage
Version		:	5.107.0
Release		:	14.4.0.0%{?dist}
Summary		:	KDE Installation and loading of additional content (ex: scripts, images...) as packages

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	gettext
BuildRequires	:	karchive = %{version}
BuildRequires	:	kcoreaddons = %{version}
BuildRequires	:	kdoctools
BuildRequires	:	ki18n = %{version}
BuildRequires	:	qt
#-----------------------------------------------------------------------------
%description
The KPackage framework lets the user install and load packages
of non binary content such as scripted extensions or graphic
assets, as if they were traditional plugins.
#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_includedir}/KF5/KPackage/%{name}_version.h
%{_includedir}/KF5/KPackage/%{name}/*.h
%{_includedir}/KF5/KPackage/KPackage/*
%{_bindir}/kpackagetool5
%{_libdir}/cmake/KF5Package/*.cmake
%{_libdir}/libKF5Package.so*
%{_datadir}/kservicetypes5/%{name}-*.desktop
%{_datadir}/locale/*/LC_MESSAGES/lib%{name}5.mo
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
%{_mandir}/man1/%{name}*.1.gz
%{_mandir}/*/man1/%{name}*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
